Index: LMDZ6/trunk/libf/phylmd/conf_phys_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/conf_phys_m.F90	(revision 3998)
+++ LMDZ6/trunk/libf/phylmd/conf_phys_m.F90	(revision 3999)
@@ -182,7 +182,9 @@
     INTEGER,SAVE :: iflag_cloudth_vert_omp
     INTEGER,SAVE :: iflag_rain_incloud_vol_omp
+    INTEGER,SAVE :: iflag_vice_omp
     REAL,SAVE :: rad_froid_omp, rad_chau1_omp, rad_chau2_omp
     REAL,SAVE :: t_glace_min_omp, t_glace_max_omp
     REAL,SAVE :: exposant_glace_omp
+    INTEGER,SAVE :: iflag_gammasat_omp, iflag_mpc_bl_omp
     REAL,SAVE :: rei_min_omp, rei_max_omp
     INTEGER,SAVE :: iflag_sic_omp, iflag_inertie_omp
@@ -251,4 +253,6 @@
     LOGICAL, SAVE :: adjust_tropopause_omp
     LOGICAL, SAVE :: ok_daily_climoz_omp
+    LOGICAL, SAVE :: ok_new_lscp_omp
+    LOGICAL, SAVE :: ok_icefra_lscp_omp
 
     INTEGER, INTENT(OUT):: read_climoz ! read ozone climatology, OpenMP shared
@@ -1433,4 +1437,25 @@
 
     !
+    !Config Key  = iflag_gammasat
+    !Config Desc =  
+    !Config Def  = 0
+    !Config Help = 
+    !
+    iflag_gammasat_omp=0
+    CALL getin('iflag_gammasat',iflag_gammasat_omp)
+
+
+    !
+    !Config Key  = iflag_mpc_bl
+    !Config Desc =
+    !Config Def  = 0
+    !Config Help =
+    !
+    iflag_mpc_bl_omp=0
+    CALL getin('iflag_mpc_bl',iflag_mpc_bl_omp)
+
+
+
+    !
     !Config Key  = iflag_t_glace
     !Config Desc =  
@@ -1458,4 +1483,15 @@
     iflag_rain_incloud_vol_omp = 0
     CALL getin('iflag_rain_incloud_vol',iflag_rain_incloud_vol_omp)
+
+    !
+    !Config Key  = iflag_vice
+    !Config Desc =  
+    !Config Def  = 0
+    !Config Help = 
+    !
+    iflag_vice_omp = 0
+    CALL getin('iflag_vice',iflag_vice_omp)
+
+
 
     !
@@ -2313,5 +2349,26 @@
     !Config Help = .FALSE. ensure much fewer (no calendar dependency)
     !  and lighter monthly climoz files, inetrpolated in time at gcm run time.
-    !
+    
+    ok_new_lscp_omp = .FALSE.
+    CALL getin('ok_new_lscp', ok_new_lscp_omp)
+    !
+    !Config Key  = ok_new_lscp_omp
+    !Config Desc = new cloud scheme ith ice and mixed phase (Etienne and JB)
+    !Config Def  = .FALSE.
+    !Config Help = ...
+
+
+
+    ok_icefra_lscp_omp = .FALSE.
+    CALL getin('ok_icefra_lscp', ok_icefra_lscp_omp)
+    !
+    !Config Key  = ok_icefra_lscp_omp
+    !Config Desc = ice fraction in radiation from lscp
+    !Config Def  = .FALSE.
+    !Config Help = ...
+
+
+
+
     ecrit_LES_omp = 1./8.
     CALL getin('ecrit_LES', ecrit_LES_omp)
@@ -2427,7 +2484,10 @@
     t_glace_max = t_glace_max_omp
     exposant_glace = exposant_glace_omp
+    iflag_gammasat=iflag_gammasat_omp
+    iflag_mpc_bl=iflag_mpc_bl_omp
     iflag_t_glace = iflag_t_glace_omp
     iflag_cloudth_vert=iflag_cloudth_vert_omp
     iflag_rain_incloud_vol=iflag_rain_incloud_vol_omp
+    iflag_vice=iflag_vice_omp
     iflag_ice_thermo = iflag_ice_thermo_omp
     rei_min = rei_min_omp
@@ -2631,4 +2691,6 @@
     carbon_cycle_rad = carbon_cycle_rad_omp
     level_coupling_esm = level_coupling_esm_omp
+    ok_new_lscp = ok_new_lscp_omp
+    ok_icefra_lscp=ok_icefra_lscp_omp
     read_fco2_ocean_cor = read_fco2_ocean_cor_omp
     var_fco2_ocean_cor = var_fco2_ocean_cor_omp
@@ -2849,7 +2911,10 @@
     WRITE(lunout,*) ' t_glace_max = ',t_glace_max
     WRITE(lunout,*) ' exposant_glace = ',exposant_glace
+    WRITE(lunout,*) ' iflag_gammasat = ',iflag_gammasat
+    WRITE(lunout,*) ' iflag_mpc_bl = ',iflag_mpc_bl
     WRITE(lunout,*) ' iflag_t_glace = ',iflag_t_glace
     WRITE(lunout,*) ' iflag_cloudth_vert = ',iflag_cloudth_vert
     WRITE(lunout,*) ' iflag_rain_incloud_vol = ',iflag_rain_incloud_vol
+    WRITE(lunout,*) ' iflag_vice = ',iflag_vice
     WRITE(lunout,*) ' iflag_ice_thermo = ',iflag_ice_thermo
     WRITE(lunout,*) ' rei_min = ',rei_min
@@ -2964,4 +3029,6 @@
     WRITE(lunout,*) ' adjust_tropopause = ', adjust_tropopause
     WRITE(lunout,*) ' ok_daily_climoz = ',ok_daily_climoz
+    WRITE(lunout,*) ' ok_new_lscp = ', ok_new_lscp
+    WRITE(lunout,*) ' ok_icefra_lscp = ', ok_icefra_lscp
     WRITE(lunout,*) ' read_climoz = ', read_climoz
     WRITE(lunout,*) ' carbon_cycle_tr = ', carbon_cycle_tr
